﻿using RestAPIEx.Models;
using System;
using System.Data;
using System.Data.SqlClient;
using System.Web.Http;

namespace RestAPIEx.APIControllers
{
    public class ProductsController : ApiController
    {

        public static string connectionString = @"Data Source=192.168.0.103;Initial Catalog=ParallelCodes;User ID=sa;Password=789;Trusted_Connection=false;";
        SqlConnection con;
        SqlCommand cmd;


        [Route("api/currentDate")]
        [HttpGet]
        public String GetDateTime()
        {
            return System.DateTime.Now.ToString();
        }

        [Route("api/AddProduct")]
        [HttpPost]
        public Result AddProducts(Products products)
        {
            Result rs = new Result();
            if (products == null || String.IsNullOrWhiteSpace(products.productDesc) ||
                String.IsNullOrWhiteSpace(products.productName))
            {
                rs.result = "Please provide Product name and Description.";
                return rs;
            }
            try
            {
                con = new SqlConnection(connectionString);
                cmd = new SqlCommand();
                cmd.Connection = con;
                con.Open();
                cmd.CommandText = "sp_AddProducts";
                cmd.CommandType = CommandType.StoredProcedure;
                cmd.Parameters.AddWithValue("@ProName", products.productName);
                cmd.Parameters.AddWithValue("@Prodesc", products.productDesc);
                cmd.ExecuteNonQuery();
                
                cmd.Dispose();
                con.Close();

                rs.result = "Product details added successfully";
            }
            catch (Exception ex)
            {
                rs.result = ex.Message.ToString();
            }
            return rs;
        }
    }
}
